Summary: COnfiguration MANager for apaCHE
Name: comanche
%define version 0.4
Version: %{version}
Release: 2
Group: Networking/Utilities
Source0: http://www.esi.us.es/~ridruejo/comanche/download/com04a.tar.gz
Source1: comanche.wmconfig
Source2: comanche.xpm
Source3: comanche-mini.xpm
Patch0: comanche04-mkj.patch
Patch1: comanche04-conf.patch
Copyright: GPL
BuildRoot: /var/tmp/comanche-root
BuildArchitectures: noarch
Obsoletes: apachecfg
Requires: tcl, tk, rcs

%description
Comanche stands for COnfiguration MANager for apaCHE. It is a front end for
the Apache Configuration Server Project Apache is the most popular, fast,
reliable Web server on the internet. You can find more about Apache at
www.apache.org

This package is working with RCS to provide you with accurate history of the
changes for the apache config files.

%changelog
* Sun May 10 1998 Cristian Gafton <gafton@redhat.com>
- install comanche.xpm in the control-panel directory

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- first packaging
- added patch from MkJ to get rid og non-working menus
- obsoletes apachecfg

%prep
%setup -n comanche04
%patch0 -p1 -b .mkj
%patch1 -p1 -b .conf

%build
cat > comanche <<EOF
#!/bin/bash
#

cd /usr/lib/comanche
exec /usr/bin/wish com%{version}.tcl
EOF

cat > comanche.conf <<EOF
inputdir /etc/httpd/conf
outputdir /etc/httpd/conf
platform unix
version 1.2.6
EOF

cat > comanche.init <<EOF
comanche
comanche.xpm
COMANCHE - Apache Configuration
This is a program that allows
you to configure apache easily.
EOF

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,lib/comanche/{ccf,icons,lib,tmpl}}
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
install -m 750 comanche $RPM_BUILD_ROOT/usr/bin
install -m 640 comanche.conf $RPM_BUILD_ROOT/etc
install -m 644 com%{version}.tcl $RPM_BUILD_ROOT/usr/lib/comanche
install -m 644 ccf/*.ccf $RPM_BUILD_ROOT/usr/lib/comanche/ccf
install -m 644 lib/*.tcl $RPM_BUILD_ROOT/usr/lib/comanche/lib
install -m 644 icons/* $RPM_BUILD_ROOT/usr/lib/comanche/icons
install -m 644 tmpl/* $RPM_BUILD_ROOT/usr/lib/comanche/tmpl
install -m 644 $RPM_SOURCE_DIR/comanche.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/comanche
chmod 600 $RPM_BUILD_ROOT/etc/X11/wmconfig/comanche
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/mini
install -m 644 $RPM_SOURCE_DIR/comanche.xpm $RPM_BUILD_ROOT/usr/share/icons
install -m 644 $RPM_SOURCE_DIR/comanche-mini.xpm \
	$RPM_BUILD_ROOT/usr/share/icons/mini/mini-comanche.xpm
mkdir -p $RPM_BUILD_ROOT/usr/lib/rhs/control-panel
install -m 644 comanche.init $RPM_BUILD_ROOT/usr/lib/rhs/control-panel
install -m 644 $RPM_SOURCE_DIR/comanche.xpm $RPM_BUILD_ROOT/usr/lib/rhs/control-panel

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/bin/*
/usr/lib/comanche
%config(missingok) /etc/X11/wmconfig/comanche
/usr/share/icons/comanche.xpm
/usr/share/icons/mini/*
%config /etc/comanche.conf
/usr/lib/rhs/control-panel/*
